(OLD) (ARCHIVED) Puppy Linux Discussion Forum Forum Index (OLD) (ARCHIVED) Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info

This forum can also be accessed as http://oldforum.puppylinux.com
It is now read-only and serves only as archives.

Please register over the NEW forum
https://forum.puppylinux.com
and continue your work there. Thank you.

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups    
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Jan 2021, 22:31
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Latest version of Pidgin (2.13.0) for XenialPup? [FILLED]
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
Makoto


Joined: 03 Sep 2009
Posts: 2267
Location: Out wandering... maybe.

PostPosted: Wed 22 Apr 2020, 01:59    Post subject:  Latest version of Pidgin (2.13.0) for XenialPup? [FILLED]  

Would anyone be willing to compile the latest version of Pidgin (currently v2.13.0) for XenialPup?

Pidgin :: Pidgin, the universal chat client

I have compiled it myself, and it runs, but it inexplicably crashes after a random, extended period of time. There's no indication in the system logs as to why.
I like to leave Pidgin running 24/7 so that my friends and relatives can bounce messages off me even if I'm asleep, or not around. But, for example, if I leave my compiled version of Pidgin 2.13.0 running and go to bed, it's guaranteed to be gone by the time I sit down at the desk in the morning. Confused

There's a chance it could be related to the Discord protocol driver I've installed (found a .deb file created for a more recent version of Ubuntu than Xenial, but it installed and seems to work), but as I'm only using Pidgin for Discord at the moment, testing would require me to uninstall the driver and remove my account information, so I'm leaving that for more of a last resort.

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).

Last edited by Makoto on Thu 07 May 2020, 13:43; edited 1 time in total
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Sat 02 May 2020, 19:37    Post subject:  

Just a couple of questions and a bit of information.
Are you looking for a 32bit or 64bit Xenial build or both?
Do you require voice and video support or just IM ?

I have not tried anything in Xenial but did do a test build in Stretch the other day. Voice and video requires installing some extra dependencies, libnice and farstream as well as gstreamer. I added those but found that I could not select any input or output devices other than "default" which is not good for me as I wanted to select my USB soundcard. With this not working I sort of lost interest but may go back to it at some stage.

Many of the included protocols are now extinct, but XMPP/jabber seemed to be doing something. I was able to compile from source the plugins for Discord, Hangouts and Amazon Chime and they all show up in the system but I didn't try to use any of them.

Not sure if a build from me (or from anyone else) would be different from the build that you have done yourself. I wonder if the crash after some time is caused by some data being downloaded or created and stored somewhere which is filling up save space or something. Maybe try building the Discord plugin from source rather than using a .deb from a different distro version?

_________________
Oscar in England

Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Sun 03 May 2020, 19:22    Post subject:  

I have done a test build in Xenial64 in case you (or anyone) wants to TEST it.
Included is libnice-0.1.16 and farstream-0.2.9 for Voice and Video support.
Plugins for Discord and Hangouts compiled from source and included.
I left the DEV headers in as these are needed for compiling of other plugins.
https://yadi.sk/d/CBlXspDSows8LQ

_________________
Oscar in England

Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2267
Location: Out wandering... maybe.

PostPosted: Mon 04 May 2020, 04:30    Post subject:  

I'm looking for a 32-bit build, mostly (the reasons for this, I've mentioned in a PM).

If I remember correctly, Pidgin's support for voice and video (depending upon the protocol) is still rather minimal, but I guess it would be better to have the support active. The builds I used to compile had it mostly disabled, I think.

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Mon 04 May 2020, 10:59    Post subject:  

I have now done a build in 32bit Xenial
Same as above, plugins for Discord and Hangouts are included.
Voice and Video is enabled but I have no idea if it works at all.
Strictly for testing with no guarantees
https://yadi.sk/d/6ceJLJ8pFICNEQ

_________________
Oscar in England

Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2267
Location: Out wandering... maybe.

PostPosted: Wed 06 May 2020, 02:04    Post subject:  

Seems to be working fine - I've left it running since... probably 3AM, last night, and it hasn't disappeared or otherwise crashed on me like my own build did. Thanks! Smile

I haven't tried to message anyone, though. None of my contacts have signed on yet. Embarassed

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
mascostra

Joined: 11 May 2020
Posts: 4

PostPosted: Tue 12 May 2020, 00:16    Post subject: Pidgin: facebook and skype  

Hello, goodnight!

Could you help me? How could I put the plugin to use facebook messenger in the version of pidgin (2.13.0) that kindly shared by OscarTalks?

And besides, will it be possible to install a plugin to use skype in that pidgin?

Thank you for reading.
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2267
Location: Out wandering... maybe.

PostPosted: Tue 12 May 2020, 02:08    Post subject:  

I'm not sure how well Pidgin supports either Facebook's messenger or Skype at the moment (and Skype support generally required you to have Skype installed, anyway, as I recall). You might try asking Eion Robb (who appears to have written the most recent Skype plugin for Pidgin - or the one officially listed on the Pidgin homepage in their Plugins section) about it, or try subscribing and posting to their support email list.

Both the Facebook plugin and the Skype plugin haven't been updated in a while, so I'd tend to doubt they'll work with the services right now.

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
mascostra

Joined: 11 May 2020
Posts: 4

PostPosted: Tue 12 May 2020, 18:01    Post subject: News  

I would like to inform you of some things that I have just done.

It may be worth mentioning that:
+ I have a mini laptop with few resources: Intel Atom N450 @ 1.66 GHz; 1 GB RAM.
+ It has 2 operating systems: Lubuntu 18.04 LTS 32 bits; Puppy Linux BionicPup32 8.0 (frugal).

My goal was: to be able to chat comfortably on facebook messenger, and at the same time do other tasks.

What I will describe below was done from Lubuntu:


I have downloaded the Skype For Pidgin plugin (the one that officially appears on the Pidgin home page, in its plugins section). And it works great!

I have tried to install the Facebook plugin for Pidgin. I did not succeed. I think it may only be compatible with 64-bit systems (since I saw a ".deb" file for Ubuntu 18.04 64bit. However, I tried to use the ".tar.gz" file).

But!...
I discovered very interesting things!

The creator of the Facebook plugin for Pidgin, jgeboski, is also related to the BitlBee project. With which I managed to connect easily to facebook messenger.
It's amazing. And it consumes almost no resources.


Postscript: I am considering asking my friends who use Skype to pass me their phone or something better, haha. Well they are few.
Postscript2: I found it fascinating that you compile the SFS.
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2267
Location: Out wandering... maybe.

PostPosted: Wed 13 May 2020, 02:06    Post subject: Re: News  

mascostra wrote:
Postscript2: I found it fascinating that you compile the SFS.


Me, or OscarTalks? I don't think either of us have put together an SFS for Pidgin.

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
mascostra

Joined: 11 May 2020
Posts: 4

PostPosted: Wed 13 May 2020, 11:53    Post subject: Re: News  

Makoto wrote:
mascostra wrote:
Postscript2: I found it fascinating that you compile the SFS.


Me, or OscarTalks? I don't think either of us have put together an SFS for Pidgin.


Oops, my mistake! I meant both. And I was referring to ".pet" files (computer programs) ^_^.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0722s ][ Queries: 11 (0.0346s) ][ GZIP on ]